Skip to content
iTick
  1. Docs
  2. REST API
  3. Indices
  4. Real-Time Kline

Real-Time Kline

Complete K-line data for major global stock indices, providing multi-period OHLC price series for indices such as CSI 300, SSE Composite Index, Shenzhen Component Index, ChiNext Index, S&P 500, Nasdaq, and Hang Seng. Supports multiple time periods from minute charts to monthly charts, including opening prices, highest prices, lowest prices, closing prices, and trading volumes.

GET/indices/kline

Request Parameters

regionenumRequired

Market code

codestringRequired

Product code

kTypeenumRequired

Interval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month

etstring

When the query end timestamp (e.g., 1751328000000) is empty, it defaults to the current timestamp.

limitstringRequired

Number of records to query

Response Parameters

codenumber

Response code

msgstring

Response description

dataarray(object)▶Response result
tunumber

Transaction amount

cnumber

Closing price of the Kline

tnumber

Timestamp

vnumber

Transaction volume

hnumber

Highest price of the Kline

lnumber

Lowest price of the Kline

onumber

Opening price of the Kline

Code Examples

import requests

url = "https://api.itick.org/indices/kline?region=GB&code=SPX&kType=2&limit=10"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/indices/kline?region=GB&code=SPX&kType=2&limit=10

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": [
    {
      "tu": 385612920000,
      "c": 5842.62,
      "t": 1741208580000,  // 2025-03-05 21:03:00 UTC
      "v": 66000000,
      "h": 5842.62,
      "l": 5842.62,
      "o": 5842.62
    }
  ]
}